=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-10-11 21:01:52 +0000
+++ drizzled/drizzled.cc	2008-10-15 04:26:46 +0000
@@ -2306,8 +2306,11 @@
       opt_error_log= 1;				// Too long file name
     else
     {
-      if (freopen(log_error_file, "a+", stdout))
-        freopen(log_error_file, "a+", stderr);
+      if (freopen(log_error_file, "a+", stdout)==NULL)
+        sql_print_error(_("Unable to reopen stdout"));
+      else
+        if(freopen(log_error_file, "a+", stderr)==NULL)
+          sql_print_error(_("Unable to reopen stderr"));
     }
   }
 

